// KristAlpha
// OEN170331

#include <LiquidCrystal.h>
#define LIG1 0
#define LIG2 1
#define ADEB 65
#define AFIN 97
char maLettre = 'Z';

LiquidCrystal lcd(8, 9, 4, 5, 6, 7);

void setup() {
  lcd.begin(16, 2);
  Serial.begin(9600);
  analogWrite(10, 200);   // RETROECLAIRAGE
}

void loop() {
  alphabetiser(0);
  lcd.setCursor(0,1);
  lcd.print(maLettre);
  delay(2000);
  lcd.clear();

  alphabetiser(32);
  delay(1000);
  lcd.clear();

  alphabetiser(-32);
  delay(1000);
  lcd.clear();
}

void alphabetiser(byte ySaut) {
  byte ligne = 0;
  byte col = 0;
  for (byte yTour = ADEB; yTour < AFIN; yTour++) {
    lcd.setCursor(col++, ligne);
    lcd.print(char(yTour + ySaut));
    if (yTour == ADEB+15) {
      ligne++;
      col = 0;
    }
    delay(200);
  }
}

