// Telemaster
// OEN 170402

#define brEnvoiPulse 11        // Broche TNG  du capteur
#define brRetourEcho 12        // Broche ECHO du capteur
float fDistance;

void setup() 
{ 
  Serial.begin(9600); 
  pinMode(brEnvoiPulse, OUTPUT); 
  pinMode(brRetourEcho, INPUT); 
}
void loop() 
{ 
  // Pour une impulsion de 10 micro-secondes
  digitalWrite(brEnvoiPulse, LOW); 
  delayMicroseconds(2); 
  digitalWrite(brEnvoiPulse, HIGH); 
  delayMicroseconds(10); 
  digitalWrite(brEnvoiPulse, LOW);

  // Palpation du monde
  fDistance = pulseIn(brRetourEcho, HIGH); 
  Serial.print("Valeur brute en microsecondes = ");
  Serial.println(fDistance, 0);

  // Vitesse du son de 340 m/s donc 29 us par cm.
  fDistance = fDistance / (29*2); 
  Serial.print(fDistance, 0); // Nombre de decimales
  Serial.println(" cm");
  delay(300); 
}

