// KristAlpha2
// OEN170331

#include <LiquidCrystal.h>
#define LIG1 0
#define LIG2 1
#define ADEB 65
#define AFIN 97

LiquidCrystal lcd(8, 9, 4, 5, 6, 7);
const byte RETROECL = 10;            // AJOUT

void setup() {
  lcd.begin(16, 2);
  Serial.begin(9600);
}

void loop() {
  alphabetiser(0);
  delay(1000);
  lcd.clear();

  alphabetiser(32);
  delay(1000);
  lcd.clear();

  alphabetiser(-32);
  delay(1000);
  lcd.clear();
}

void alphabetiser(byte ySaut) {
  byte ligne = 0;
  byte col = 0;

  for (byte yTour = ADEB; yTour < AFIN; yTour++) {
    lcd.setCursor(col++, ligne);
    lcd.print(char(yTour + ySaut));
    if (yTour == ADEB+15) {
      ligne++;
      col = 0;
    }
    delay(200);
  }
  for (byte y = 10; y < 150; y += 5) {
    analogWrite(RETROECL, y);
    delay(100);
  }
}

