// TestCapteur2
// OEN 181111

#define brEnvoiPulse 12       // Broche TNG  du capteur
#define brRetourEcho 13       // Broche ECHO du capteur
#define LIMITE  40
#define LGR      8            // V2
#define TOP   1000            // V2
float fDistance;              
char  tcCode[LGR+1] = "00000000";  // V2

void setup() 
{ 
  Serial.begin(9600); 
  pinMode(brEnvoiPulse, OUTPUT); 
  pinMode(brRetourEcho, INPUT); 
}

void loop()      // Toute la fonction V2
{ 
  collecter();
  Serial.print("Ta gestuelle : ");
  Serial.println(tcCode);
  for (int i = 0; i < LGR; i++) {
    tcCode[i] = '0'; }
  delay(1000);
}

boolean palper() {
  digitalWrite(brEnvoiPulse, LOW);
  delayMicroseconds(2); 
  digitalWrite(brEnvoiPulse, HIGH); 
  delayMicroseconds(10); 
  digitalWrite(brEnvoiPulse, LOW);
  fDistance = pulseIn(brRetourEcho, HIGH); 
  fDistance = fDistance / (29*2); 
  Serial.println(fDistance);
  if (fDistance < LIMITE) return(true); 
  else return(false);
}

boolean collecter() {          // Nouvelle V2
  for (int i = 0; i < LGR; i++) {
    if (palper()) { tcCode[i] = '1'; }
    else {          tcCode[i] = '0'; }
    delay(TOP);
  }
  return(true);
}
